<div class="contai workner center" xmlns="http://www.w3.org/1999/html">


  <div class="container">
    <div class=" text-center">
      <img class="d-block mx-auto mb-4" src="assets/images/home/inscription.png" alt="" width="200" height="200">
    </div>

  <div class="card m-3">
   <h5 class="card-header center"><p align="center">Inscription</p></h5>
  <div class="card-body">
    <form #f="ngForm" >
      <h4 class="mb-3">Votre identité:</h4>
      <div class="form-row">

      <div class="form-group col-md-6 mb-3">
        <label>Prenom :</label>
        <input type="text" class="form-control" name="prnm" placeholder="votre Prenom" required
               minlength="3"
               pattern="[a-zA-Z]+$"
               [(ngModel)]="membre.prenom"  #n="ngModel">
        <div class="alert alert-danger" *ngIf="n.invalid && n.touched ">
          <div *ngIf="n.errors.required">Prenom est obligatoire</div>
          <div *ngIf="n.errors.minlength"> votre Prenom min 3</div>
          <div *ngIf="n.errors.pattern"> Que des lettres</div>
        </div>
      </div>
      <div class="form-group col-md-6 mb-3 " >
        <label>Nom :</label>
        <input type="text" class="form-control" name="nom" placeholder="Votre nom" required
               minlength="3"
               pattern="[a-zA-Z]+$"
               [(ngModel)]="membre.name" #m="ngModel">
        <div class="alert alert-danger" *ngIf="m.invalid && m.touched ">
          <div *ngIf="m.errors.required">Votre nom est obligatoire</div>
          <div *ngIf="m.errors.minlength"> votre nom min 3</div>
          <div *ngIf="m.errors.pattern"> Que des lettres SVP</div>
        </div>
      </div>
        <div class="form-group col-md-6 mb-3">
          <label>Date de naissance :</label>
          <input type="date" class="form-control" name="dateNaiss"  required

                 [(ngModel)]="membre.dateNaisc"  #dateN="ngModel">
          <div class="alert alert-danger" *ngIf="dateN.invalid && dateN.touched ">
            <div *ngIf="dateN.errors.required">Selectionner votre date de naissance</div>
          </div>
        </div>
      </div>
      <div class="form-row">
        <div class="form-group col-sm-8">
          <label>Adresse postale :</label>
          <input type="text" class="form-control" name="adr" placeholder="12 rue,avenue, résidence ...." required
                 [(ngModel)]="membre.adresseP"  #d="ngModel">
          <div class="alert alert-danger" *ngIf="d.invalid && d.touched ">
            <div *ngIf="d.errors.required">votre adresse est obligatoire</div>

          </div>
        </div>
        <div class="form-group col-sm-4">
          <label for="country" class="form-label">Ville : </label>
          <select class="form-control"
                  id="country"
                  name="country"
                  [(ngModel)]="membre.codeVille" #z="ngModel"
                  required  >
            <option value="Sélectionner votre ville" selected >
              Sélectionner votre ville
            </option>
            <option value="{{ville.id}}"*ngFor="let ville of list" >
              {{ville.nameVille}} - {{ville.id}}
            </option>
          </select>
          <div class="alert alert-danger" *ngIf="z.invalid && z.touched ">
            <div *ngIf="z.errors.required">Votre ville </div>
          </div>
        </div>

      </div>
        <hr class="mb-4">
      <h4 class="mb-3">Vos moyens de contact :</h4>
      <div class="form-row">
        <div class="form-group col-md-6 mb-3">
          <label>Email :</label>
          <input type="email" class="form-control" name="mail" placeholder="exemple@exemple.com" required
                 pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$"
                 [(ngModel)]="membre.email"  #x="ngModel">
          <div class="alert alert-danger" *ngIf="x.invalid && x.touched ">
            <div *ngIf="x.errors.required">email est obligatoire</div>
            <div *ngIf="x.errors.pattern"> email invalid</div>
          </div>
        </div>
        <div class="form-group col-md-6 mb-3">
          <label>Téléphone :</label>
          <input type="number" class="form-control" name="tel" placeholder="votre numéro" required
                 pattern="[0-9]{8}"
                 [(ngModel)]="membre.NumTel"  #v="ngModel">
          <div class="alert alert-danger" *ngIf="v.invalid && v.touched ">
            <div *ngIf="v.errors.required">numéro est obligatoire</div>
            <div *ngIf="v.errors.pattern"> numéro invalid</div>
          </div>
        </div>
      </div>
      <hr class="mb-4">
      <h4 class="mb-3">Détail abonnement :</h4>
      <div class="form-row">
        <div class="form-group col-sm-4">
          <label>Abonnement :</label>
          <select class="form-control"
                  id="abn"
                  name="abn"
                  (change)='onOptionsSelected($event.target.value)'
                  [(ngModel)]="membre.idTypeAbo" #h="ngModel"
                  required>
            <option value="0" >Sélectionner un abonnement </option>
            <option [value]="TypeAbo.id"  *ngFor="let TypeAbo of liste" >
              {{TypeAbo.libelleAbo}}
            </option>
          </select>
          <div class="alert alert-danger" *ngIf="h.invalid && h.touched ">
            <div *ngIf="h.errors.required">Sélectionner un abonnement </div>
          </div>
        </div>
        <div class="col-sm-4">
          <label>Tarif :</label>
          <select class="form-control"
                  id="tpA"
                  name="tpA"
                  [(ngModel)]="membre.idTypeAbo" #t="ngModel" required>
            <option value="0" >Sélectionner le tarif </option>

            <option value="{{p.prix}}" *ngFor="let p of listeP" >{{p.prix}}
            </option>
          </select>
          <div class="alert alert-danger" *ngIf="t.invalid && t.touched ">
            <div *ngIf="t.errors.required">tarif requis </div>
          </div>
        </div>
        <div class="form-group col-sm-4">

          <label>Paiement :</label>

          <div class="my-3">
            <div class="form-check">
              <input id="CB"  name="paymentMethod" type="radio" class="form-check-input" checked required>
              <label class="form-check-label" for="CB">carte bancaire</label>
            </div>
            <div class="form-check">
              <input id="cheq" name="paymentMethod" type="radio" class="form-check-input" required>
              <label class="form-check-label" for="cheq">chéque</label>
            </div>
            <div class="form-check">
              <input id="esp" name="paymentMethod" type="radio" class="form-check-input" required>
              <label class="form-check-label" for="esp">Especes</label>
            </div>
          </div>
        </div>
      <div class="form-row">

        </div>
      </div>
  <div class="form-group text-center">
    <button class="btn btn-primary mr-1"(click)="save()"
            [disabled]="f.invalid">S'inscrire</button>
    <button class="btn btn-secondary" type="reset" >Annuler</button>
  </div>


</form></div></div></div>







